ContainerManagedLifecyclePhase (Mule ESB 2.2.1 API)
Keywords: org.mule.lifecycle.ContainerManagedLifecyclePhase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle
Class ContainerManagedLifecyclePhase

    java.lang.Object
      org.mule.lifecycle.DefaultLifecyclePhase
          org.mule.lifecycle.ContainerManagedLifecyclePhase

All Implemented Interfaces:
  LifecyclePhase

Direct Known Subclasses:
  MuleContextInitialisePhase

    public class ContainerManagedLifecyclePhase

extends DefaultLifecyclePhase

A container-managed lifecycle phase is called by the container itself. This class acts as a marker to enable tracking of phases even if Mule does not initiate the phase

Field Summary

Fields inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`logger`

Fields inherited from interface org.mule.api.lifecycle.LifecyclePhase
`ALL_PHASES`

Constructor Summary
`ContainerManagedLifecyclePhase(String name, Class lifecycleClass, String oppositePhaseName)`

Method Summary
`void` | `applyLifecycle(Collection objects, String currentPhase)`

Methods inherited from class org.mule.lifecycle.DefaultLifecyclePhase
`addOrderedLifecycleObject, applyLifecycle, getIgnoredObjectTypes, getLifecycleClass, getName, getOppositeLifecyclePhase, getOrderedLifecycleObjects, getSupportedPhases, ignoreType, isPhaseSupported, registerSupportedPhase, removeOrderedLifecycleObject, setIgnoredObjectTypes, setLifecycleClass, setOrderedLifecycleObjects, setSupportedPhases, sortLifecycleInstances`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerManagedLifecyclePhase

    public ContainerManagedLifecyclePhase(String name,
                                          Class lifecycleClass,
                                          String oppositePhaseName)

Method Detail

### applyLifecycle

    public void applyLifecycle(Collection objects,
                               String currentPhase)
                        throws MuleException

  Specified by:
    `applyLifecycle` in interface `LifecyclePhase`
  Overrides:
    `applyLifecycle` in class `DefaultLifecyclePhase`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.